Agora RTC Objective-C API Reference Refactor

Data Structures | Public Member Functions
IAudioFilterV2 Class Referenceabstract

Inherits IAudioFilter.

## Data Structures
class | Control

## Public Member Functions
virtual void | setExtensionControl (agora::agora_refptr< IAudioFilterV2::Control > control)=0
virtual void | setEnabled (bool enable)=0
virtual bool | isEnabled () const =0
virtual int | setProperty (const char *key, const void *buf, int buf_size)=0
virtual int | getProperty (const char *key, void *buf, int buf_size) const =0
virtual const char * | getName () const =0
virtual int | getPreferredSampleRate ()
virtual int | getPreferredChannelNumbers ()
virtual bool | adaptAudioFrame (const media::base::AudioPcmFrame &inAudioFrame, media::base::AudioPcmFrame &adaptedFrame)=0

## Member Function Documentation

## ◆ setExtensionControl()

virtual void setExtensionControl | ( | agora::agora_refptr< IAudioFilterV2::Control > | control | ) |
| pure virtual

AgoraSDK set IAudioFilterV2::Control to filter.

Parameters

  control | IAudioFilterV2::Control

## ◆ setEnabled()

virtual void setEnabled | ( | bool | enable | ) |
| pure virtual inherited

Enables or disables the audio filter.

Parameters

  enable | Whether to enable the audio filter: `true`: Enable the audio filter. `false`: Do not enable the audio filter.

## ◆ isEnabled()

virtual bool isEnabled | ( |  | ) | const
| pure virtual inherited

Checks whether the audio filter is enabled.

Returns
  - `true`: The audio filter is enabled.
  - `false`: The audio filter is not enabled.

## ◆ setProperty()

virtual int setProperty | ( | const char * | key,
|  | const void * | buf,
|  | int | buf_size
| ) |  |
| pure virtual inherited

Sets a private property in the `IAudioFilter` class.

Parameters

  key | The pointer to the property name.
  buf | The pointer to the buffer of this private property.
  buf_size | The buffer size of this private property.

Returns
  - The actual size of the private property, if the method call succeeds.
  - -1, if the method call fails.

## ◆ getProperty()

virtual int getProperty | ( | const char * | key,
|  | void * | buf,
|  | int | buf_size
| ) |  | const
| pure virtual inherited

Gets a private property in the `IAudioFilter` class.

Parameters

  name | The pointer to the property name.
  buf | The pointer to the buffer of this private property.
  buf_size | The buffer size of this private property.

Returns
  - The actual size of the private property, if the method call succeeds.
  - -1, if the method call fails.

## ◆ getName()

virtual const char* getName | ( |  | ) | const
| pure virtual inherited

Gets the name of the `IAudioFilter` class.

Returns
  - The name of the audio filter, if the method call succeeds.
  - An empty string, if the method call fails.

## ◆ getPreferredSampleRate()

virtual int getPreferredSampleRate | ( |  | ) |
| inline virtual inherited

Get the sample rate supported by the audio filter, the framework will resample the audio data and then pass it to the audio filter. If the user does not overwrite, resampling will not be done by default.

Returns
  - 0: Audio data will not be resampled.
  - > 0: Audio data will be resampled to this sample rate.

Implements IAudioFilterBase.

## ◆ getPreferredChannelNumbers()

virtual int getPreferredChannelNumbers | ( |  | ) |
| inline virtual inherited

Get the channel number supported by the audio filter, the framework will resample the audio data and then pass it to the audio filter. If the user does not overwrite, resampling will not be done by default.

Returns
  - 0: Audio data will not be resampled.
  - > 0: Audio data will be resampled to this sample rate.

Implements IAudioFilterBase.

## ◆ adaptAudioFrame()

virtual bool adaptAudioFrame | ( | const media::base::AudioPcmFrame & | inAudioFrame,
|  | media::base::AudioPcmFrame & | adaptedFrame
| ) |  |
| pure virtual inherited

Adapts the audio frame.

Parameters

  inAudioFrame | The reference to the audio frame that you want to adapt.
  adaptedFrame | The reference to the adapted audio frame.

Returns
  - `true`: Success.
  - `false`: Failure. For example, the IAudiofilter object drops the audio frame.

## ◆ AddRef()

virtual void AddRef | ( |  | ) | const
| pure virtual inherited

## ◆ Release()

virtual RefCountReleaseStatus Release | ( |  | ) | const
| pure virtual inherited

## ◆ HasOneRef()

virtual bool HasOneRef | ( |  | ) | const
| pure virtual inherited